<!-- The content below is only a placeholder and can be replaced. -->
  <div *ngIf="isLogged()" class='log-out'>

    <button mat-raised-button color="primary" (click)='logout()'>Log Out</button>
  </div>
  
  <div>
    <a routerLinkActive='active' [routerLinkActiveOptions]="{ exact: true }" routerLink="/tryes" class="nav-item nav-link">Tryes</a>
    <a routerLinkActive='active' [routerLinkActiveOptions]="{ exact: true }" routerLink="/upload" class="nav-item nav-link">Upload</a>
    <a routerLinkActive='active' [routerLinkActiveOptions]="{ exact: true }" routerLink="/login" class="nav-item nav-link">Login</a>
    <a routerLinkActive='active' [routerLinkActiveOptions]="{ exact: true }" routerLink="/ngrx" class="nav-item nav-link">NgRx</a>
    <a routerLinkActive='active' [routerLinkActiveOptions]="{ exact: true }" routerLink="/rxjs" class="nav-item nav-link">Rxjs</a>
  </div>
  <h1 style="text-align:center">
    Welcome to {{ title }}!
  </h1>



<!-- <h1>Datele vin din alta componenta</h1>
<div *ngFor="let item of dataReceived">
  <p>{{ item.name }} </p>
</div> -->

<router-outlet></router-outlet>


